Subject: Re: bug#53954: 29.0.50; segmentation fault, Februray 12th 2022

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Feb 2022 14:37:30 +0200

tags 53954 moreinfo
thanks

> From: Jean Louis <[email-masked]>
> Date: Sat, 12 Feb 2022 14:47:15 +0300
> 
> I have updated today with `git pull' to latest and found that I cannot
> execute Emacs, there is segmentation fault.
> 
> Attached file error.txt lists errors when running `emacs'.
> 
> Attached file error2.txt lists errors when running `emacs -Q'.

Thanks, but these files can only be interpreted on your system, see
the node "Crashing" in the Emacs manual for how to do that.  better
yet, run the problematic executable under GDB, and show the backtrace
from the crash as GDB displays it.

> I have reverted to 5th February 2022, to random commit, that I can run
> Emacs, otherwise I cannot.

Please provide the additional information mentioned above regarding
the faulty executable, otherwise we will be unable to work on this
problem.

> In GNU Emacs 29.0.50 (build 5, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
>  of 2022-02-12 built on protected.rcdrun.com
> Repository revision: 686f7f8f628c04e9d574186173165b2b5a9f92e2

I'm guessing this is not the version of the faulty executable.